@charset "UTF-8";

.p-fv {
  padding-top: clamp(120px, 16.30859375vw, 167px);
  padding-bottom: clamp(100px, 12.59765625vw, 129px);
  position: relative;
  z-index: 1;
}

.p-fv__head {
  width: clamp(280px, 66.015625vw, 507px);
  aspect-ratio: 1/1;
  margin-inline: auto;
  position: relative;
  z-index: 1;
}

.p-fv__title-en {
  padding-top: clamp(107px, 25.9114583333vw, 199px);
  font-family: "Libre Baskerville", sans-serif;
  font-size: clamp(28px, 5.2083333333vw, 40px);
  line-height: 1.325;
  font-weight: 700;
  text-align: center;
}

.p-fv__title-ja {
  padding-left: 14px;
  margin-top: clamp(14px, 2.734375vw, 21px);
  font-size: clamp(18px, 2.8645833333vw, 22px);
  line-height: 1.3181818182;
  font-weight: 700;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
  text-align: center;
  background: transparent linear-gradient(251deg, #f7be2c 0%, #f7be2c 0%, #e7693b 37%, #cd4558 58%, #79357e 88%, #6e3383 100%) 0% 0% no-repeat padding-box;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
}

.p-fv__head-bg {
  position: absolute;
  inset: 0;
  z-index: -1;
}


.p-fv__bg-container {
  position: absolute;
  top: 117px;
  left: 50%;
  translate: -50%;
  width: 100%;
  height: 100%;
  max-height: calc(100% - 117px);
  overflow-x: hidden;
}
@media screen and (min-width:1024px) {
  .p-fv__bg-container {
    max-height: 768px;
  }
}
.p-fv__bg-container .bg-text__wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 50px;
  height: auto;
  will-change: transform;
  -webkit-animation: infinity-scroll-left 50s infinite linear 0.5s both;
          animation: infinity-scroll-left 50s infinite linear 0.5s both;
}
.p-fv__bg-container .bg-text {
  -ms-flex-negative: 0;
      flex-shrink: 0;
  max-height: 100%;
  width: auto;
  height: 100%;
  max-height: clamp(54px, 11.71875vw, 120px);
  -o-object-fit: contain;
     object-fit: contain;
}
@media screen and (min-width:768px) {
  .p-fv__bg-container .bg-text {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
  }
}
.p-fv__bg-container .bg-text img {
  max-height: 100%;
  width: auto;
  -o-object-fit: contain;
     object-fit: contain;
}
.p-fv__bg-container .p-fv__bg-slide-1 {
  margin-top: 0;
}
.p-fv__bg-container .p-fv__bg-slide-2 {
  margin-top: 4px;
}
.p-fv__bg-container .p-fv__bg-slide-3 {
  margin-top: 33px;
}
.p-fv__bg-container .p-fv__bg-slide-4 {
  margin-top: 15px;
}
.p-fv__bg-container .p-fv__bg-slide-5 {
  margin-top: 22px;
}
.p-fv__bg-container .p-fv__bg-slide-2,
.p-fv__bg-container .p-fv__bg-slide-4 {
  -webkit-animation-name: infinity-scroll-right ;
          animation-name: infinity-scroll-right ;
}
@-webkit-keyframes infinity-scroll-left {
  from {
    -webkit-transform: translateX(0%);
            transform: translateX(0%);
  }
  to {
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
}
@keyframes infinity-scroll-left {
  from {
    -webkit-transform: translateX(0%);
            transform: translateX(0%);
  }
  to {
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
}
@-webkit-keyframes infinity-scroll-right {
  from {
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
  to {
    -webkit-transform: translateX(0%);
            transform: translateX(0%);
  }
}
@keyframes infinity-scroll-right {
  from {
    -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
  }
  to {
    -webkit-transform: translateX(0%);
            transform: translateX(0%);
  }
}

.p-fv__bg-r {
  position: absolute;
  top: clamp(-157px, -11.4934114202vw, -80px);
  right: clamp(-308px, -22.5475841874vw, -154px);
  width: clamp(436px, 63.8360175695vw, 872px);
  aspect-ratio: 872/594;
  -webkit-transform: scale(1.5);
          transform: scale(1.5);
  pointer-events: none;
}


.p-feature {
  padding-bottom: clamp(120px, 14.1666666667vw, 170px);
  position: relative;
}

.p-feature__title {
  padding-top: clamp(40px, 4.0995607613vw, 56px);
  border-top: 1px solid #dddddd;
}

.p-feature__container {
  margin-top: 33px;
}
@media screen and (min-width:768px) {
  .p-feature__container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
            flex-direction: row-reverse;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 40px;
  }
}

.p-feature__content {
  margin-top: 15px;
  max-width: 570px;
}
@media screen and (min-width:768px) {
  .p-feature__content {
    -webkit-box-flex: 1;
        -ms-flex: 1;
            flex: 1;
  }
}

.p-feature__text-main {
  font-size: clamp(18px, 2.9296875vw, 30px);
  line-height: 1.4;
  font-weight: 700;
}

.p-feature__text {
  margin-top: 21px;
  font-size: clamp(13px, 1.46484375vw, 15px);
  line-height: 1.6666666667;
  max-width: 550px;
}

.p-feature__items {
  margin-top: clamp(18px, 4.6875vw, 36px);
  border-top: 1px solid #dddddd;
}

.p-feature__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: reverse;
      -ms-flex-direction: column-reverse;
          flex-direction: column-reverse;
  padding-block: clamp(16px, 2.9296875vw, 30px);
  padding-right: clamp(50px, 7.12890625vw, 73px);
  border-bottom: 1px solid #dddddd;
  position: relative;
}
@media screen and (min-width:1024px) {
  .p-feature__item {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
            flex-direction: row-reverse;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: clamp(16px, 2.25vw, 27px);
  }
}
@media screen and (min-width:768px) {
  .p-feature__item::before {
    content: "";
    position: absolute;
    top: 50%;
    translate: 0 -50%;
    right: -49px;
    width: clamp(80px, 9.6666666667vw, 116px);
    aspect-ratio: 1/1;
    background: url(../images/icon-hover.png) no-repeat center center/contain;
  }
}
.p-feature__item::after {
  content: "";
  position: absolute;
  top: 50%;
  translate: 0 -50%;
  right: 0;
  width: 22px;
  height: 20px;
  background: url(../images/icon-arrow.svg) no-repeat center center/contain;
}

.is-ready .p-feature__item::before {
  opacity: 0;
  scale: 0.5;
  rotate: -180deg;
  -webkit-transition: opacity 0.4s ease, scale 0.4s cubic-bezier(0.34, 1.56, 0.64, 1), rotate 0.4s ease;
  transition: opacity 0.4s ease, scale 0.4s cubic-bezier(0.34, 1.56, 0.64, 1), rotate 0.4s ease;
}
.is-ready .p-feature__item:hover::before {
  opacity: 1;
  scale: 1;
  rotate: 0deg;
}

.p-feature__item-texts {
  margin-top: 24px;
}
@media screen and (min-width:1024px) {
  .p-feature__item-texts {
    margin-top: 0;
  }
}

.p-feature__item-title {
  font-size: clamp(16px, 1.7578125vw, 18px);
  line-height: 1.2777777778;
  font-weight: 700;
}

.p-feature__item-text {
  margin-top: 10px;
  font-size: clamp(13px, 1.3671875vw, 14px);
  line-height: 1.5;
}
@media screen and (min-width:768px) {
  .p-feature__item-text {
    max-width: 284px;
  }
}

.p-feature__item-img {
  max-width: 160px;
  aspect-ratio: 16/10;
}
@media screen and (min-width:1024px) {
  .p-feature__item-img {
    margin-left: 20px;
  }
}

.p-feature__btn {
  margin-top: clamp(40px, 5.95703125vw, 61px);
}
.p-feature__img-wrap {
  margin-top: 40px;
  margin-inline: auto;
  max-width: 240px;
  padding-right: clamp(20px, 4.5833333333vw, 55px);
  position: relative;
}
@media screen and (min-width:768px) {
  .p-feature__img-wrap {
    margin-top: 0;
  }
}
@media screen and (min-width:1024px) {
  .p-feature__img-wrap {
    max-width: 516px;
  }
}

.p-feature__img-top {
  width: 100%;
  height: 100%;
  max-width: clamp(210px, 33.7481698389vw, 461px);
  aspect-ratio: 461/618;
  margin-right: clamp(20px, 4.5833333333vw, 55px);
}

.p-feature__img-bottom {
  position: absolute;
  right: 0;
  width: 100%;
  bottom: -40px;
  max-width: 80px;
  aspect-ratio: 230/235;
}
@media screen and (min-width:1024px) {
  .p-feature__img-bottom {
    max-width: 230px;
    bottom: max(-12.737920937vw, -174px);
  }
}

.p-feature__bg {
  position: absolute;
  top: clamp(-198px, -14.494875549vw, -99px);
  left: clamp(-523px, -38.2869692533vw, -261px);
  width: clamp(510px, 74.7437774524vw, 1021px);
  aspect-ratio: 1021/690;
  -webkit-transform: scale(1.5);
          transform: scale(1.5);
  pointer-events: none;
}

.p-service {
  padding-top: clamp(60px, 6.5vw, 78px);
  padding-bottom: clamp(60px, 6.5833333333vw, 79px);
  position: relative;
}
.p-service::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #000;
  opacity: 0.4;
  pointer-events: none;
  z-index: 2;
}

.p-service .l-inner {
  z-index: 2;
}

.p-service__content {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-inline: auto;
  position: relative;
  z-index: 2;
}

.p-service__logo {
  width: clamp(80px, 14.74609375vw, 151px);
  aspect-ratio: 1/1;
  margin-inline: auto;
}

.p-service__content-title {
  color: #ffffff;
  margin-top: clamp(24px, 3.125vw, 32px);
  font-size: clamp(24px, 2.734375vw, 28px);
  line-height: 1.5357142857;
  font-weight: 700;
  text-align: center;
}

.p-service__btn {
  margin-top: clamp(36px, 5.2734375vw, 54px);
  margin-inline: auto;
}
.p-service__swiper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.p-service__swiper-wrapper {
  -webkit-transition-timing-function: linear;
          transition-timing-function: linear;
}

.p-service__swiper-slide {
  width: clamp(200px, 58.59375vw, 600px);
  aspect-ratio: 60/54;
}

.p-service__bg {
  position: absolute;
  top: clamp(-261px, -19.1068814056vw, -130px);
  right: clamp(-378px, -27.6720351391vw, -189px);
  width: 743px;
  aspect-ratio: 743/594;
  -webkit-transform: scale(2);
          transform: scale(2);
  z-index: -1;
  pointer-events: none;
}


.p-client {
  padding-top: clamp(60px, 9.47265625vw, 97px);
  position: relative;
}

.p-client__title {
  padding-top: clamp(40px, 7.1614583333vw, 55px);
  border-top: 1px solid #dddddd;
}

.p-client__items {
  margin-top: 26px;
}
@media screen and (min-width:768px) {
  .p-client__items .webgene-blog {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }
}
.p-client__items .webgene-item + .webgene-item {
  margin-top: 32px;
}
@media screen and (min-width:768px) {
  .p-client__items .webgene-item + .webgene-item {
    margin-top: 0;
  }
}
.p-client__item {
  max-width: 400px;
  margin-inline: auto;
}
@media screen and (min-width:768px) {
  .p-client__item {
    margin-inline: 0;
  }
}
@media (any-hover: hover) {
  .p-client__item:hover {
    opacity: 1;
  }
  .p-client__item:hover .p-client__item-head img,
  .p-client__item:hover .p-client__item-head::after {
    scale: 1.1;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }
}

.p-client__item-head {
  aspect-ratio: 370/270;
  height: 100%;
  overflow: hidden;
  position: relative;
  z-index: 1;
}
.p-client__item-head::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: url("../images/ogp.jpg") center/cover no-repeat;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  z-index: -1;
}
@media screen and (min-width:768px) {
  .p-client__item-head {
    max-width: 370px;
  }
}

.p-client__item-body {
  margin-top: clamp(16px, 1.85546875vw, 19px);
}

.p-client__item-title {
  font-size: clamp(14px, 1.5625vw, 16px);
  line-height: 1.625;
  font-weight: 700;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.p-client__item-tag span {
  margin-top: 6px;
  padding: 3px 12px;
  font-size: clamp(13px, 1.8229166667vw, 14px);
  line-height: 1.2857142857;
  letter-spacing: 0.42px;
  color: rgba(51, 51, 51, 0.6);
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-align: center;
  border-radius: 30px;
  background: #FFFFFF;
  border: 1px solid #DDDDDD;
}

.p-client__btn {
  margin-top: clamp(24px, 4.00390625vw, 41px);
  margin-inline: auto;
}

.p-client__bg-l {
  position: absolute;
  bottom: clamp(-84px, -6.149341142vw, -42px);
  left: clamp(-604px, -44.2166910688vw, -302px);
  width: 1022px;
  aspect-ratio: 1022/621;
  -webkit-transform: scale(2);
          transform: scale(2);
  pointer-events: none;
  z-index: -1;
}

.p-client__bg-r {
  position: absolute;
  top: clamp(75px, 9.5168374817vw, 130px);
  right: clamp(-462px, -33.8213762811vw, -231px);
  width: clamp(375px, 53.4407027818vw, 730px);
  aspect-ratio: 730/667;
  -webkit-transform: scale(1.5);
          transform: scale(1.5);
  pointer-events: none;
  z-index: -1;
}

.p-news {
  padding-top: clamp(40px, 5.6640625vw, 58px);
  padding-bottom: clamp(80px, 10.9166666667vw, 131px);
  position: relative;
}

.p-news__wrap {
  padding-top: clamp(40px, 7.1614583333vw, 55px);
  border-top: 1px solid #dddddd;
}
@media screen and (min-width:768px) {
  .p-news__wrap {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 32px;
  }
}

.p-news__btn {
  margin-top: clamp(32px, 5.6640625vw, 58px);
  font-size: clamp(13px, 1.46484375vw, 15px);
  line-height: 1.2666666667;
  letter-spacing: 0.45px;
  font-weight: 700;
}
.p-news__btn .text {
  padding-top: clamp(4px, 0.68359375vw, 7px);
  padding-left: 45px;
  position: relative;
}
.p-news__btn .text::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 34px;
  aspect-ratio: 1/1;
  background: url(../images/icon-btn.svg) no-repeat center center/contain;
}

.p-news__items {
  margin-top: 40px;
  width: 100%;
  max-width: 860px;
}
@media screen and (min-width:768px) {
  .p-news__items {
    margin-top: 0;
    -webkit-box-flex: 1;
        -ms-flex: 1;
            flex: 1;
  }
}
.p-news__item {
  padding-block: 30px 24px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  border-bottom: 1px solid #dddddd;
}

.p-news__item-date {
  padding-left: clamp(14px, 3.2552083333vw, 25px);
  padding-right: clamp(24px, 5.859375vw, 45px);
  position: relative;
}
.p-news__item-date span {
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  font-family: "Libre Baskerville", sans-serif;
}
.p-news__item-date .date-ym {
  font-size: clamp(13px, 1.3671875vw, 14px);
  line-height: 1.3571428571;
}
.p-news__item-date .date-d {
  margin-top: -7px;
  font-size: clamp(24px, 4.6875vw, 48px);
  line-height: 1.3333333333;
  margin-inline: auto;
}
.p-news__item-date::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 1px;
  height: 100%;
  background: #dddddd;
}

.p-news__item-meta {
  padding-left: 23px;
  padding-right: clamp(40px, 4.1666666667vw, 50px);
  width: 100%;
  position: relative;
}
@media screen and (min-width:768px) {
  .p-news__item-meta {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: clamp(20px, 2.83203125vw, 29px);
  }
}
.p-news__item-meta::before {
  content: "";
  position: absolute;
  top: 50%;
  translate: 0 -50%;
  right: 0;
  width: 22px;
  height: 20px;
  background: url(../images/icon-arrow.svg) no-repeat center center/contain;
}
.p-news__item-tag span {
  padding: 3px 12px;
  font-size: clamp(13px, 1.8229166667vw, 14px);
  line-height: 1.2857142857;
  letter-spacing: 0.42px;
  color: rgba(51, 51, 51, 0.6);
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-align: center;
  border-radius: 30px;
  background: #ffffff;
  border: 1px solid #dddddd;
}

.p-news__item-title {
  font-size: clamp(14px, 1.46484375vw, 15px);
  line-height: 1.3333333333;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}
